Update Error 3.0.12 --> 3.1.1

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Balder84
Mitglied
Beiträge: 9
Registriert: 05.01.2010 11:01

Update Error 3.0.12 --> 3.1.1

Beitragvon Balder84 » 21.11.2014 17:07

Moin liebe Leute,

nach einiger Zeit bin ich mal wieder hier im Forum unterwegs und stelle fest, dass es doch glatt zwei neue Versionen von phpbb gibt.
Daher habe ich heute versucht das Forum von 3.0.12 auf 3.1.1 zu aktualisieren.

Nun bin ich beim Datenbank aktualisieren und bekomme aber diese Fehlermeldung:

ie Datenbank wird auf die neueste Version aktualisiert

Datenbank-Typ :: mysql4
Vorherige Version :: 3.0.12
Die Migration wurde bereits erfolgreich durchgeführt (übersprungen): \phpbb\db\migration\data\v310\timezone_p2
SQL ERROR [ mysql4 ]

Duplicate entry '\phpbb\db\migration\data\v310\timezone_p2' for key 'PRIMARY' [1062]

SQL

INSERT INTO rumv3_migrations (migration_depends_on, migration_schema_done, migration_data_done, migration_data_state, migration_start_time, migration_end_time, migration_name) VALUES ('a:1:{i:0;s:38:\"\\phpbb\\db\\migration\\data\\v310\\timezone\";}', 1, 1, '', 0, 0, '\\phpbb\\db\\migration\\data\\v310\\timezone_p2')

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/phpbb/db/driver/driver.php
LINE: 855
CALL: trigger_error()

FILE: [ROOT]/phpbb/db/driver/mysql.php
LINE: 181
CALL: phpbb\db\driver\driver->sql_error()

FILE: [ROOT]/phpbb/db/driver/factory.php
LINE: 329
CALL: phpbb\db\driver\mysql->sql_query()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 640
CALL: phpbb\db\driver\factory->sql_query()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 268
CALL: phpbb\db\migrator->set_migration_state()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 234
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/phpbb/db/migrator.php
LINE: 174
CALL: phpbb\db\migrator->try_apply()

FILE: [ROOT]/install/database_update.php
LINE: 206
CALL: phpbb\db\migrator->update()



Ich hoffe jemand hat eine Idee was ich machen kann ? Es scheint ja so als ob irgend ein Wert mehrfach ist, aber wie kommt dies ? Ich habe übrigens die Standalone 3.1.1 genommen um die ganze Sache zu aktualisieren.

Benutzeravatar
Crizzo
Administrator
Administrator
Beiträge: 10269
Registriert: 19.05.2005 21:45
Kontaktdaten:

Re: Update Error 3.0.12 --> 3.1.1

Beitragvon Crizzo » 21.11.2014 19:53

Hi,

bitte mache folgendes:
  1. Datenbank komplett löschen bzw. der Inhalt komplett
  2. Backup von 3.0.12 einspielen
  3. Cache manuell leeren
  4. install/database_update.php erneut aufrufen

Grüße

Balder84
Mitglied
Beiträge: 9
Registriert: 05.01.2010 11:01

Re: Update Error 3.0.12 --> 3.1.1

Beitragvon Balder84 » 21.11.2014 21:15

Schade das es hier keinen Daumen hoch gibt, aber dein Vorschlag hat super funktioniert :-)
Ich bedanke mich.


Zurück zu „Support-Forum“